# Supply 3DS device data

Gather additional device data

Endpoint: POST /api/payments/{linkData}/3dsDeviceData
Version: 2024-06-01
Security: BasicAuth

## Path parameters:

  - `linkData` (string, required)

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version
    Enum: "2024-06-01"

## Request fields (application/json):

  - `collectionReference` (string)
    Add the sessionId provided in the [postMessage for the device data collection form (web)](/products/payments/enable-features/3ds-authentication/web) or for native (iOS/Android), returned as consumerSessionId as part of [SDK initialization](/products/payments/enable-features/3ds-authentication/android-ios). __Note:__ If device data collection fails you can attempt the payment without this value, but you will see an increased number of challenged and even authenticationFailed outcomes, if this happens for a lot of requests.

## Response 201 fields (application/json):

  - `outcome` (string)

  - `transactionReference` (string)
    A unique reference generated by you that is used to identify a payment throughout its lifecycle.

## Response 202 fields (application/json):

  - `outcome` (string)

  - `transactionReference` (string)
    A unique reference generated by you that is used to identify a payment throughout its lifecycle.

## Response 400 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `jsonPath` (string)

  - `validationErrors` (array)

## Response 401 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 406 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `headerName` (string)

## Response 415 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 500 fields (application/json):

  - `errorName` (string)

  - `message` (string)


